petsc-3.4.2 2013-07-02

# SNESNCG

Nonlinear Conjugate-Gradient method for the solution of general nonlinear systems.

### Options Database

| -snes_ncg_type <fr, prp, dy, hs, cd> | - Choice of conjugate-gradient update parameter.
| -snes_linesearch_type <cp,l2,basic> | - Line search type.
| -snes_ncg_monitor | - Print relevant information about the ncg iteration.

Notes: This solves the nonlinear system of equations F(x) = 0 using the nonlinear generalization of the conjugate gradient method. This may be used with a nonlinear preconditioner used to pick the new search directions, but otherwise chooses the initial search direction as F(x) for the initial guess x.

### See Also

SNESCreate(), SNES, SNESSetType(), SNESNEWTONLS, SNESNEWTONTR, SNESNGMRES, SNESNQN

Level:beginner
Location:src/snes/impls/ncg/snesncg.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages